[DRE-commits] [gitlab] 01/04: preseed values from config file

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Wed Apr 19 12:51:53 UTC 2017


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository gitlab.

commit a1599c35ed0ec42830b064dbaa300ae3a24e5092
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Wed Apr 19 14:20:58 2017 +0530

    preseed values from config file
---
 debian/config | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/debian/config b/debian/config
index e7ea15e..dfd6f0c 100755
--- a/debian/config
+++ b/debian/config
@@ -1,11 +1,23 @@
 #!/bin/sh
 # config maintainer script for gitlab
+
+CONFIGFILE=/etc/gitlab/gitlab-debian.conf
  
 set -e
 
 # source debconf stuffs
 . /usr/share/debconf/confmodule
 
+# Load config file, if it exists.
+  if [ -e $CONFIGFILE ]; then
+      . $CONFIGFILE || true
+
+      # Store values from config file into
+      # debconf db.
+      db_set gitlab/fqdn "$GITLAB_HOST"
+      db_set gitlab/user "$gitlab_user"
+  fi
+
 # What is your fqdn?
 db_input high gitlab/fqdn || true
 db_go

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/gitlab.git



More information about the Pkg-ruby-extras-commits mailing list